import type { Color } from '../color';
import type { StylusState } from '../stylus';
import type { StrokeProtocol } from '../stroke-protocol';
export declare type BrushContext = CanvasRenderingContext2D;
export interface BrushConfig {
    ctx: BrushContext;
    color: Color;
    size: number;
}
export declare const defaultBrushConfig: Readonly<BrushConfig>;
export interface BrushStrokeState {
    prev: StylusState;
}
export interface BrushStrokeResult {
}
export declare type BrushStroke = StrokeProtocol<BrushConfig, BrushStrokeState, BrushStrokeResult>;
export declare const stroke: BrushStroke;
