export interface Lfsr113State {
    a: number;
    b: number;
    c: number;
    d: number;
}
export declare function getInitialState(seed?: number): Lfsr113State;
export default function lfsr113(state: Lfsr113State): number;
export declare function getRandomFn(seed?: number): () => number;
export declare function getRandomFnFromState(state?: Lfsr113State): () => number;
export declare function getIterator(seed?: number): Generator<number, void, unknown>;
export declare function getIteratorFromState(state?: Lfsr113State): Generator<number, void, unknown>;
