"use strict";
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
function getInitialState(seed) {
    if (seed === void 0) { seed = 0; }
    var IA = 16807;
    var IM = 2147483647;
    var IQ = 127773;
    var IR = 2836;
    var a, b, c, d, e;
    var s = seed | 0;
    if (s <= 0)
        s = 1;
    e = (s / IQ) | 0;
    s = (((IA * (s - ((e * IQ) | 0))) | 0) - ((IR * e) | 0)) | 0;
    if (s < 0)
        s = (s + IM) | 0;
    if (s < 2)
        a = (s + 2) | 0;
    else
        a = s;
    e = (s / IQ) | 0;
    s = (((IA * (s - ((e * IQ) | 0))) | 0) - ((IR * e) | 0)) | 0;
    if (s < 0)
        s = (s + IM) | 0;
    if (s < 8)
        b = (s + 8) | 0;
    else
        b = s;
    e = (s / IQ) | 0;
    s = (((IA * (s - ((e * IQ) | 0))) | 0) - ((IR * e) | 0)) | 0;
    if (s < 0)
        s = (s + IM) | 0;
    if (s < 16)
        c = (s + 16) | 0;
    else
        c = s;
    e = (s / IQ) | 0;
    s = (((IA * (s - ((e * IQ) | 0))) | 0) - ((IR * e) | 0)) | 0;
    if (s < 0)
        s = (s + IM) | 0;
    if (s < 128)
        d = (s + 128) | 0;
    else
        d = s;
    return { a: a, b: b, c: c, d: d };
}
exports.getInitialState = getInitialState;
function lfsr113(state) {
    var s = state;
    var f = ((s.a << 6) ^ s.a) >> 13;
    s.a = ((s.a & 4294967294) << 18) ^ f;
    f = ((s.b << 2) ^ s.b) >> 27;
    s.b = ((s.b & 4294967288) << 2) ^ f;
    f = ((s.c << 13) ^ s.c) >> 21;
    s.c = ((s.c & 4294967280) << 7) ^ f;
    f = ((s.d << 3) ^ s.d) >> 12;
    s.d = ((s.d & 4294967168) << 13) ^ f;
    return (s.a ^ s.b ^ s.c ^ s.d) * 2.3283064365386963e-10 + 0.5;
}
exports.default = lfsr113;
function getRandomFn(seed) {
    if (seed === void 0) { seed = 0; }
    return getRandomFnFromState(getInitialState(seed));
}
exports.getRandomFn = getRandomFn;
function getRandomFnFromState(state) {
    if (state === void 0) { state = getInitialState(); }
    return function () { return lfsr113(state); };
}
exports.getRandomFnFromState = getRandomFnFromState;
function getIterator(seed) {
    if (seed === void 0) { seed = 0; }
    return getIteratorFromState(getInitialState(seed));
}
exports.getIterator = getIterator;
function getIteratorFromState(state) {
    if (state === void 0) { state = getInitialState(); }
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (!true) return [3 /*break*/, 2];
                return [4 /*yield*/, lfsr113(state)];
            case 1:
                _a.sent();
                return [3 /*break*/, 0];
            case 2: return [2 /*return*/];
        }
    });
}
exports.getIteratorFromState = getIteratorFromState;
